Loading...
Searching...
No Matches
juce::CppTokeniserFunctions::StringIterator Struct Reference

## Detailed Description

A class that can be passed to the CppTokeniserFunctions functions in order to parse a String.

The documentation for this struct was generated from the following file:

- juce_gui_extra/code_editor/juce_CPlusPlusCodeTokeniserFunctions.h

## Public Member Functions

| StringIterator (const String &s) noexcept
| StringIterator (String::CharPointerType s) noexcept
juce_wchar | nextChar () noexcept
juce_wchar | peekNextChar () noexcept
void | skip () noexcept
void | skipWhitespace () noexcept
void | skipToEndOfLine () noexcept
bool | isEOF () const noexcept

## Public Attributes

String::CharPointerType | t
int | numChars = 0

## Constructors and Destructors

## StringIterator() [1/2]

juce::CppTokeniserFunctions::StringIterator::StringIterator | ( | const String & | s | ) |

inline noexcept

## StringIterator() [2/2]

juce::CppTokeniserFunctions::StringIterator::StringIterator | ( | String::CharPointerType | s | ) |

inline noexcept

## Member Functions

## nextChar()

juce_wchar juce::CppTokeniserFunctions::StringIterator::nextChar | ( |  | ) |

inline noexcept

References isEOF(), numChars, and t.

## peekNextChar()

juce_wchar juce::CppTokeniserFunctions::StringIterator::peekNextChar | ( |  | ) |

inline noexcept

References t.

## skip()

void juce::CppTokeniserFunctions::StringIterator::skip | ( |  | ) |

inline noexcept

References isEOF(), numChars, and t.

Referenced by skipToEndOfLine(), and skipWhitespace().

## skipWhitespace()

void juce::CppTokeniserFunctions::StringIterator::skipWhitespace | ( |  | ) |

inline noexcept

References skip(), and t.

## skipToEndOfLine()

void juce::CppTokeniserFunctions::StringIterator::skipToEndOfLine | ( |  | ) |

inline noexcept

References skip(), and t.

## isEOF()

bool juce::CppTokeniserFunctions::StringIterator::isEOF | ( |  | ) | const

inline noexcept

References t.

Referenced by nextChar(), and skip().

## Member Data Documentation

## t

String::CharPointerType juce::CppTokeniserFunctions::StringIterator::t

Referenced by isEOF(), nextChar(), peekNextChar(), skip(), skipToEndOfLine(), and skipWhitespace().

## numChars

int juce::CppTokeniserFunctions::StringIterator::numChars = 0

Referenced by nextChar(), and skip().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited